function _toConsumableArray(arr) { return _arrayWithoutHoles(arr) || _iterableToArray(arr) || _nonIterableSpread(); }

function _nonIterableSpread() { throw new TypeError("Invalid attempt to spread non-iterable instance"); }

function _iterableToArray(iter) { if (Symbol.iterator in Object(iter) || Object.prototype.toString.call(iter) === "[object Arguments]") return Array.from(iter); }

function _arrayWithoutHoles(arr) { if (Array.isArray(arr)) { for (var i = 0, arr2 = new Array(arr.length); i < arr.length; i++) { arr2[i] = arr[i]; } return arr2; } }

import ConfigProvider from '../config-provider';
import Dropdown from './dropdown';
export default ConfigProvider.config(Dropdown, {
  transform:
  /* istanbul ignore next */
  function transform(props, deprecated) {
    if ('triggerType' in props) {
      var triggerType = Array.isArray(props.triggerType) ? _toConsumableArray(props.triggerType) : [props.triggerType];

      if (triggerType.indexOf('focus') > -1) {
        deprecated('triggerType[focus]', 'triggerType[hover, click]', 'Balloon');
      }
    }

    return props;
  }
});